## flamerobin 0.9.6.ds.1

=== CMakeLists.txt ===
project(flamerobin)
cmake_minimum_required(VERSION 3.0)

# Don't allow in-source builds. Keeps things nice and tidy
if( "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}" )
   message( FATAL_ERROR
      "In-source builds not allowed.\n"
      "Create a new directory and run cmake from there, i.e.:\n"
      "  mkdir build\n"
      "  cd build\n"
      "  cmake ..\n"
      "You will need to delete CMakeCache.txt and CMakeFiles from this directory to clean up."
   )
endif()

set(CMAKE_CXX_STANDARD 14)

#--------------------------------------
# wxWidgets location

# Attempt to get wxWidgets root dir from environment, or user
# From command line you can:
#   cmake -DWXDIR:PATH=C:\path\to\wxWidgets ..
if (WIN32)
	message(STATUS "Checking for user suppllied wxWidgets location (WXDIR)...")
	if(DEFINED WXDIR)
		message(STATUS "User set the WXDIR property directly : ${WXDIR}")
	else ()
		if(DEFINED ENV{WXDIR})
			message(STATUS "Using the WXDIR environment variable : $ENV{WXDIR}")
			set(WXDIR $ENV{WXDIR} CACHE PATH "wxWidgits root dir")
		else ()
			message(WARNING "WXDIR has not been set!")
		endif ()
	endif()
	set(wxWidgets_ROOT_DIR ${WXDIR})
endif (WIN32)

# We want the wx static build, and Unicode support
set(wxWidgets_USE_STATIC ON)
set(wxWidgets_USE_UNICODE ON)

# Find the wxWidgets library
find_package(wxWidgets REQUIRED core base html xml aui stc adv OPTIONAL_COMPONENTS scintilla)
message(STATUS "wxWidgets version : ${wxWidgets_VERSION_STRING}")

# For wx3.0 the Scintilla lib is not present, but older wx find_package doesn't seem to
# understand this (even if marked optional), so we have to recheck, without Scintilla
if ( (${CMAKE_VERSION} VERSION_LESS "3.16") AND (${wxWidgets_VERSION_STRING} VERSION_LESS "3.1") )
	message(STATUS "Re-doing find_package for wx3.0 builds...")
	find_package(wxWidgets REQUIRED core base html xml aui stc adv)
endif ()

# Add wxWidgets to include path
include(${wxWidgets_USE_FILE})

#--------------------------------------
# Source files
set(SOURCEDIR src/) # Hold over from old build system, probably overkill, but doesn't hurt

# FlameRobin app source files
list(APPEND SOURCE_LIST
        ${SOURCEDIR}/addconstrainthandler.cpp
        ${SOURCEDIR}/config/Config.cpp
        ${SOURCEDIR}/config/DatabaseConfig.cpp
        ${SOURCEDIR}/config/LocalSettings.cpp
        ${SOURCEDIR}/core/ArtProvider.cpp
        ${SOURCEDIR}/core/CodeTemplateProcessor.cpp
        ${SOURCEDIR}/core/FRDecimal.cpp
        ${SOURCEDIR}/core/FRError.cpp
        ${SOURCEDIR}/core/FRInt128.cpp
        ${SOURCEDIR}/core/Observer.cpp
        ${SOURCEDIR}/core/ProgressIndicator.cpp
        ${SOURCEDIR}/core/StringUtils.cpp
        ${SOURCEDIR}/core/Subject.cpp
        ${SOURCEDIR}/core/TemplateProcessor.cpp
        ${SOURCEDIR}/core/URIProcessor.cpp
        ${SOURCEDIR}/core/Visitor.cpp
        ${SOURCEDIR}/databasehandler.cpp
        ${SOURCEDIR}/engine/MetadataLoader.cpp
        ${SOURCEDIR}/frprec.cpp
        ${SOURCEDIR}/frutils.cpp
        ${SOURCEDIR}/gui/AboutBox.cpp
        ${SOURCEDIR}/gui/AdvancedMessageDialog.cpp
        ${SOURCEDIR}/gui/AdvancedSearchFrame.cpp
        ${SOURCEDIR}/gui/BackupFrame.cpp
        ${SOURCEDIR}/gui/BackupRestoreBaseFrame.cpp
        ${SOURCEDIR}/gui/BaseDialog.cpp
        ${SOURCEDIR}/gui/BaseFrame.cpp
        ${SOURCEDIR}/gui/CommandManager.cpp
        ${SOURCEDIR}/gui/ConfdefTemplateProcessor.cpp
        ${SOURCEDIR}/gui/ContextMenuMetadataItemVisitor.cpp
        ${SOURCEDIR}/gui/controls/ControlUtils.cpp
        ${SOURCEDIR}/gui/controls/DataGrid.cpp
        ${SOURCEDIR}/gui/controls/DataGridRowBuffer.cpp
        ${SOURCEDIR}/gui/controls/DataGridRows.cpp
        ${SOURCEDIR}/gui/controls/DataGridTable.cpp
        ${SOURCEDIR}/gui/controls/DBHTreeControl.cpp
        ${SOURCEDIR}/gui/controls/DndTextControls.cpp
        ${SOURCEDIR}/gui/controls/LogTextControl.cpp
        ${SOURCEDIR}/gui/controls/PrintableHtmlWindow.cpp
        ${SOURCEDIR}/gui/controls/TextControl.cpp
        ${SOURCEDIR}/gui/CreateIndexDialog.cpp
        ${SOURCEDIR}/gui/DataGeneratorFrame.cpp
        ${SOURCEDIR}/gui/DatabaseRegistrationDialog.cpp
        ${SOURCEDIR}/gui/EditBlobDialog.cpp
        ${SOURCEDIR}/gui/EventWatcherFrame.cpp
        ${SOURCEDIR}/gui/ExecuteSqlFrame.cpp
        ${SOURCEDIR}/gui/ExecuteSql.cpp
        ${SOURCEDIR}/gui/FieldPropertiesDialog.cpp
        ${SOURCEDIR}/gui/FindDialog.cpp
        ${SOURCEDIR}/gui/FRLayoutConfig.cpp
        ${SOURCEDIR}/gui/FRStyle.cpp
        ${SOURCEDIR}/gui/GUIURIHandlerHelper.cpp
        ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.cpp
        ${SOURCEDIR}/gui/HtmlTemplateProcessor.cpp
        ${SOURCEDIR}/gui/InsertDialog.cpp
        ${SOURCEDIR}/gui/InsertParametersDialog.cpp
        ${SOURCEDIR}/gui/MainFrame.cpp
        ${SOURCEDIR}/gui/MetadataItemPropertiesFrame.cpp
        ${SOURCEDIR}/gui/MultilineEnterDialog.cpp
        ${SOURCEDIR}/gui/PreferencesDialog.cpp
        ${SOURCEDIR}/gui/PreferencesDialogSettings.cpp
        ${SOURCEDIR}/gui/PrivilegesDialog.cpp
        ${SOURCEDIR}/gui/ProgressDialog.cpp
        ${SOURCEDIR}/gui/ReorderFieldsDialog.cpp
        ${SOURCEDIR}/gui/RestoreFrame.cpp
        ${SOURCEDIR}/gui/ServerRegistrationDialog.cpp
        ${SOURCEDIR}/gui/ServiceBaseFrame.cpp
        ${SOURCEDIR}/gui/ShutdownStartupBaseFrame.cpp
        ${SOURCEDIR}/gui/ShutdownFrame.cpp
        ${SOURCEDIR}/gui/SimpleHtmlFrame.cpp
        ${SOURCEDIR}/gui/StatementHistoryDialog.cpp
        ${SOURCEDIR}/gui/StartupFrame.cpp
        ${SOURCEDIR}/gui/StyleGuide.cpp
        ${SOURCEDIR}/gui/UserDialog.cpp
        ${SOURCEDIR}/gui/UsernamePasswordDialog.cpp
        ${SOURCEDIR}/logger.cpp
        ${SOURCEDIR}/main.cpp
        ${SOURCEDIR}/MasterPassword.cpp
        ${SOURCEDIR}/metadata/column.cpp
        ${SOURCEDIR}/metadata/constraints.cpp
        ${SOURCEDIR}/metadata/CreateDDLVisitor.cpp
        ${SOURCEDIR}/metadata/database.cpp
        ${SOURCEDIR}/metadata/domain.cpp
        ${SOURCEDIR}/metadata/exception.cpp
        ${SOURCEDIR}/metadata/function.cpp
        ${SOURCEDIR}/metadata/generator.cpp
        ${SOURCEDIR}/metadata/Index.cpp
        ${SOURCEDIR}/metadata/metadataitem.cpp
        ${SOURCEDIR}/metadata/MetadataItemCreateStatementVisitor.cpp
        ${SOURCEDIR}/metadata/MetadataItemDescriptionVisitor.cpp
        ${SOURCEDIR}/metadata/MetadataItemURIHandlerHelper.cpp
        ${SOURCEDIR}/metadata/MetadataItemVisitor.cpp
        ${SOURCEDIR}/metadata/MetadataTemplateCmdHandler.cpp
        ${SOURCEDIR}/metadata/MetadataTemplateManager.cpp
        ${SOURCEDIR}/metadata/package.cpp
        ${SOURCEDIR}/metadata/parameter.cpp
        ${SOURCEDIR}/metadata/privilege.cpp
        ${SOURCEDIR}/metadata/procedure.cpp
        ${SOURCEDIR}/metadata/relation.cpp
        ${SOURCEDIR}/metadata/role.cpp
        ${SOURCEDIR}/metadata/root.cpp
        ${SOURCEDIR}/metadata/server.cpp
        ${SOURCEDIR}/metadata/table.cpp
        ${SOURCEDIR}/metadata/trigger.cpp
        ${SOURCEDIR}/metadata/User.cpp
        ${SOURCEDIR}/metadata/view.cpp
        ${SOURCEDIR}/objectdescriptionhandler.cpp
        ${SOURCEDIR}/sql/Identifier.cpp
        ${SOURCEDIR}/sql/IncompleteStatement.cpp
        ${SOURCEDIR}/sql/MultiStatement.cpp
        ${SOURCEDIR}/sql/SelectStatement.cpp
        ${SOURCEDIR}/sql/SqlStatement.cpp
        ${SOURCEDIR}/sql/SqlTokenizer.cpp
        ${SOURCEDIR}/sql/StatementBuilder.cpp
        ${SOURCEDIR}/statementHistory.cpp
)
list(APPEND HEADER_LIST
        ${SOURCEDIR}/config/Config.h
        ${SOURCEDIR}/config/DatabaseConfig.h
        ${SOURCEDIR}/config/LocalSettings.h
        ${SOURCEDIR}/core/ArtProvider.h
        ${SOURCEDIR}/core/CodeTemplateProcessor.h
        ${SOURCEDIR}/core/FRDecimal.h
        ${SOURCEDIR}/core/FRError.h
        ${SOURCEDIR}/core/FRInt128.h
        ${SOURCEDIR}/core/ObjectWithHandle.h
        ${SOURCEDIR}/core/Observer.h
        ${SOURCEDIR}/core/ProcessableObject.h
        ${SOURCEDIR}/core/ProgressIndicator.h
        ${SOURCEDIR}/core/StringUtils.h
        ${SOURCEDIR}/core/Subject.h
        ${SOURCEDIR}/core/TemplateProcessor.h
        ${SOURCEDIR}/core/URIProcessor.h
        ${SOURCEDIR}/core/Visitor.h
        ${SOURCEDIR}/engine/MetadataLoader.h
        ${SOURCEDIR}/frutils.h
        ${SOURCEDIR}/frversion.h
        ${SOURCEDIR}/firebird/constants.h
        ${SOURCEDIR}/gui/AboutBox.h
        ${SOURCEDIR}/gui/AdvancedMessageDialog.h
        ${SOURCEDIR}/gui/AdvancedSearchFrame.h
        ${SOURCEDIR}/gui/BackupFrame.h
        ${SOURCEDIR}/gui/BackupRestoreBaseFrame.h
        ${SOURCEDIR}/gui/BaseDialog.h
        ${SOURCEDIR}/gui/BaseFrame.h
        ${SOURCEDIR}/gui/CommandIds.h
        ${SOURCEDIR}/gui/CommandManager.h
        ${SOURCEDIR}/gui/ConfdefTemplateProcessor.h
        ${SOURCEDIR}/gui/ContextMenuMetadataItemVisitor.h
        ${SOURCEDIR}/gui/controls/ControlUtils.h
        ${SOURCEDIR}/gui/controls/DataGrid.h
        ${SOURCEDIR}/gui/controls/DataGridRowBuffer.h
        ${SOURCEDIR}/gui/controls/DataGridRows.h
        ${SOURCEDIR}/gui/controls/DataGridTable.h
        ${SOURCEDIR}/gui/controls/DBHTreeControl.h
        ${SOURCEDIR}/gui/controls/DndTextControls.h
        ${SOURCEDIR}/gui/controls/LogTextControl.h
        ${SOURCEDIR}/gui/controls/PrintableHtmlWindow.h
        ${SOURCEDIR}/gui/controls/TextControl.h
        ${SOURCEDIR}/gui/CreateIndexDialog.h
        ${SOURCEDIR}/gui/DataGeneratorFrame.h
        ${SOURCEDIR}/gui/DatabaseRegistrationDialog.h
        ${SOURCEDIR}/gui/EditBlobDialog.h
        ${SOURCEDIR}/gui/EventWatcherFrame.h
        ${SOURCEDIR}/gui/ExecuteSqlFrame.h
        ${SOURCEDIR}/gui/ExecuteSql.h
        ${SOURCEDIR}/gui/FieldPropertiesDialog.h
        ${SOURCEDIR}/gui/FindDialog.h
        ${SOURCEDIR}/gui/FRLayoutConfig.h
        ${SOURCEDIR}/gui/FRStyle.h
        ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.h
        ${SOURCEDIR}/gui/HtmlTemplateProcessor.h
        ${SOURCEDIR}/gui/GUIURIHandlerHelper.h
        ${SOURCEDIR}/gui/InsertDialog.h
        ${SOURCEDIR}/gui/InsertParametersDialog.h
        ${SOURCEDIR}/gui/MainFrame.h
        ${SOURCEDIR}/gui/MetadataItemPropertiesFrame.h
        ${SOURCEDIR}/gui/MultilineEnterDialog.h
        ${SOURCEDIR}/gui/PreferencesDialog.h
        ${SOURCEDIR}/gui/PrivilegesDialog.h
        ${SOURCEDIR}/gui/ProgressDialog.h
        ${SOURCEDIR}/gui/ReorderFieldsDialog.h
        ${SOURCEDIR}/gui/RestoreFrame.h
        ${SOURCEDIR}/gui/ServerRegistrationDialog.h
        ${SOURCEDIR}/gui/ServiceBaseFrame.h
        ${SOURCEDIR}/gui/ShutdownStartupBaseFrame.h
        ${SOURCEDIR}/gui/ShutdownFrame.h
        ${SOURCEDIR}/gui/SimpleHtmlFrame.h
        ${SOURCEDIR}/gui/StatementHistoryDialog.h
        ${SOURCEDIR}/gui/StartupFrame.h
        ${SOURCEDIR}/gui/StyleGuide.h
        ${SOURCEDIR}/gui/UserDialog.h
        ${SOURCEDIR}/gui/UsernamePasswordDialog.h
        ${SOURCEDIR}/Isaac.h
        ${SOURCEDIR}/logger.h
        ${SOURCEDIR}/main.h
        ${SOURCEDIR}/MasterPassword.h
        ${SOURCEDIR}/metadata/collection.h
        ${SOURCEDIR}/metadata/column.h
        ${SOURCEDIR}/metadata/constraints.h
        ${SOURCEDIR}/metadata/CreateDDLVisitor.h
        ${SOURCEDIR}/metadata/database.h
        ${SOURCEDIR}/metadata/domain.h
        ${SOURCEDIR}/metadata/exception.h
        ${SOURCEDIR}/metadata/function.h
        ${SOURCEDIR}/metadata/generator.h
        ${SOURCEDIR}/metadata/Index.h
        ${SOURCEDIR}/metadata/MetadataClasses.h
        ${SOURCEDIR}/metadata/metadataitem.h
        ${SOURCEDIR}/metadata/MetadataItemCreateStatementVisitor.h
        ${SOURCEDIR}/metadata/MetadataItemDescriptionVisitor.h
        ${SOURCEDIR}/metadata/MetadataItemURIHandlerHelper.h
        ${SOURCEDIR}/metadata/MetadataItemVisitor.h
        ${SOURCEDIR}/metadata/MetadataTemplateManager.h
        ${SOURCEDIR}/metadata/package.h
        ${SOURCEDIR}/metadata/parameter.h
        ${SOURCEDIR}/metadata/privilege.h
        ${SOURCEDIR}/metadata/procedure.h
        ${SOURCEDIR}/metadata/relation.h

=== debian/changelog ===
flamerobin (0.9.6.ds.1-2) unstable; urgency=medium

  * provide stylers.xml -> Solarized-light.xml link
    fixes crash in SQL editor (stylers.xml is removed for licensing reasons)
    (Closes: #1028520)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 14 Jan 2023 16:09:58 +0000

flamerobin (0.9.6.ds.1-1) unstable; urgency=medium


  * New upstream version 0.9.4
    + drop three patches applied upstream
    + patch the build for using system-wide ibase.h, make fb4 features
      optional
  * clarification of licensing terms
  * fix formatting error in IPL license text block
  * copyright: repackage excluding src/firebird/include/*
    these files are copies from FirebirdSQL and aren't needed with the patch
    for using the system-wide ibase.h
  * New upstream version 0.9.5
  * copyright: list new files, remove a bunch without clear licensing
  * New upstream version 0.9.6

 -- Damyan Ivanov <dmn@debian.org>  Fri, 23 Dec 2022 20:35:40 +0000

flamerobin (0.9.3.12-3) unstable; urgency=medium

  * add another patch fixing 128-bit support on 32-bit architectures

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Sep 2022 21:04:57 +0000

flamerobin (0.9.3.12-2) unstable; urgency=medium

  * add a patch for build-time detection of __int128 and
    std::decimal::decimal64/128
    fixes FTBFS on arm, mips and others (Closes: #1019953)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Sep 2022 15:19:19 +0000

flamerobin (0.9.3.12-1) unstable; urgency=medium

  * bump wx build-dependency to 3.2 (Closes: #1019767)
  * New upstream version 0.9.3.12
  * copyright: convert to machine-readable, bump years, add debian/*
  * declare conformance with Policy 4.6.1 (no changes needed)
  * add upstream metadata
  * patch a small typo in databasehandler.cpp

 -- Damyan Ivanov <dmn@debian.org>  Thu, 15 Sep 2022 08:50:46 +0000

=== debian/control ===
Source: flamerobin
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 chrpath,
 cmake,
 debhelper-compat (= 13),
 firebird-dev,
 html2text,
 libwxgtk3.2-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
Vcs-Browser: https://salsa.debian.org/debian/flamerobin
Homepage: http://www.flamerobin.org/
Rules-Requires-Root: no

Package: flamerobin
Architecture: any
Pre-Depends: dpkg (>= 1.17.14)
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: firebird3.0-server
Description: graphical database administration tool for Firebird DBMS
 FlameRobin is a graphical database administration tool for Firebird database
 management system.
 .
 Its goals are:
   - to be lightweight (small footprint, fast execution)
   - cross-platform (Linux, Windows for start, others planned too)
   - dependent only on other open source software
 .
 You need to setup firebird server on local or remote machine before using
 FlameRobin. See package firebird3.0-server.

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=4

opts="repacksuffix=.ds.1,dversionmangle=s/\.ds\.\d+$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flamerobin-$1.tar.gz%" \
      https://github.com/mariuz/flamerobin/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## flamerobin 0.9.10.ds.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.5)
 project(flamerobin)
-cmake_minimum_required(VERSION 3.0)
 
 # Don't allow in-source builds. Keeps things nice and tidy
 if( "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}" )
@@ -61,6 +61,14 @@
 # FlameRobin app source files
 list(APPEND SOURCE_LIST
         ${SOURCEDIR}/addconstrainthandler.cpp
+        ${SOURCEDIR}/databasehandler.cpp
+        ${SOURCEDIR}/frprec.cpp
+        ${SOURCEDIR}/frutils.cpp
+        ${SOURCEDIR}/logger.cpp
+        ${SOURCEDIR}/main.cpp
+        ${SOURCEDIR}/MasterPassword.cpp
+        ${SOURCEDIR}/objectdescriptionhandler.cpp
+        ${SOURCEDIR}/statementHistory.cpp
         ${SOURCEDIR}/config/Config.cpp
         ${SOURCEDIR}/config/DatabaseConfig.cpp
         ${SOURCEDIR}/config/LocalSettings.cpp
@@ -76,10 +84,7 @@
         ${SOURCEDIR}/core/TemplateProcessor.cpp
         ${SOURCEDIR}/core/URIProcessor.cpp
         ${SOURCEDIR}/core/Visitor.cpp
-        ${SOURCEDIR}/databasehandler.cpp
         ${SOURCEDIR}/engine/MetadataLoader.cpp
-        ${SOURCEDIR}/frprec.cpp
-        ${SOURCEDIR}/frutils.cpp
         ${SOURCEDIR}/gui/AboutBox.cpp
         ${SOURCEDIR}/gui/AdvancedMessageDialog.cpp
         ${SOURCEDIR}/gui/AdvancedSearchFrame.cpp
@@ -90,23 +95,13 @@
         ${SOURCEDIR}/gui/CommandManager.cpp
         ${SOURCEDIR}/gui/ConfdefTemplateProcessor.cpp
         ${SOURCEDIR}/gui/ContextMenuMetadataItemVisitor.cpp
-        ${SOURCEDIR}/gui/controls/ControlUtils.cpp
-        ${SOURCEDIR}/gui/controls/DataGrid.cpp
-        ${SOURCEDIR}/gui/controls/DataGridRowBuffer.cpp
-        ${SOURCEDIR}/gui/controls/DataGridRows.cpp
-        ${SOURCEDIR}/gui/controls/DataGridTable.cpp
-        ${SOURCEDIR}/gui/controls/DBHTreeControl.cpp
-        ${SOURCEDIR}/gui/controls/DndTextControls.cpp
-        ${SOURCEDIR}/gui/controls/LogTextControl.cpp
-        ${SOURCEDIR}/gui/controls/PrintableHtmlWindow.cpp
-        ${SOURCEDIR}/gui/controls/TextControl.cpp
         ${SOURCEDIR}/gui/CreateIndexDialog.cpp
+        ${SOURCEDIR}/gui/DatabaseRegistrationDialog.cpp
         ${SOURCEDIR}/gui/DataGeneratorFrame.cpp
-        ${SOURCEDIR}/gui/DatabaseRegistrationDialog.cpp
         ${SOURCEDIR}/gui/EditBlobDialog.cpp
         ${SOURCEDIR}/gui/EventWatcherFrame.cpp
+        ${SOURCEDIR}/gui/ExecuteSql.cpp
         ${SOURCEDIR}/gui/ExecuteSqlFrame.cpp
-        ${SOURCEDIR}/gui/ExecuteSql.cpp
         ${SOURCEDIR}/gui/FieldPropertiesDialog.cpp
         ${SOURCEDIR}/gui/FindDialog.cpp
         ${SOURCEDIR}/gui/FRLayoutConfig.cpp
@@ -127,17 +122,26 @@
         ${SOURCEDIR}/gui/RestoreFrame.cpp
         ${SOURCEDIR}/gui/ServerRegistrationDialog.cpp
         ${SOURCEDIR}/gui/ServiceBaseFrame.cpp
+        ${SOURCEDIR}/gui/ShutdownFrame.cpp
         ${SOURCEDIR}/gui/ShutdownStartupBaseFrame.cpp
-        ${SOURCEDIR}/gui/ShutdownFrame.cpp
         ${SOURCEDIR}/gui/SimpleHtmlFrame.cpp
+        ${SOURCEDIR}/gui/StartupFrame.cpp
         ${SOURCEDIR}/gui/StatementHistoryDialog.cpp
-        ${SOURCEDIR}/gui/StartupFrame.cpp
         ${SOURCEDIR}/gui/StyleGuide.cpp
         ${SOURCEDIR}/gui/UserDialog.cpp
         ${SOURCEDIR}/gui/UsernamePasswordDialog.cpp
-        ${SOURCEDIR}/logger.cpp
-        ${SOURCEDIR}/main.cpp
-        ${SOURCEDIR}/MasterPassword.cpp
+        ${SOURCEDIR}/gui/controls/ControlUtils.cpp
+        ${SOURCEDIR}/gui/controls/DataGrid.cpp
+        ${SOURCEDIR}/gui/controls/DataGridRowBuffer.cpp
+        ${SOURCEDIR}/gui/controls/DataGridRows.cpp
+        ${SOURCEDIR}/gui/controls/DataGridTable.cpp
+        ${SOURCEDIR}/gui/controls/DBHTreeControl.cpp
+        ${SOURCEDIR}/gui/controls/DndTextControls.cpp
+        ${SOURCEDIR}/gui/controls/LogTextControl.cpp
+        ${SOURCEDIR}/gui/controls/PrintableHtmlWindow.cpp
+        ${SOURCEDIR}/gui/controls/TextControl.cpp
+        ${SOURCEDIR}/metadata/CharacterSet.cpp
+        ${SOURCEDIR}/metadata/Collation.cpp
         ${SOURCEDIR}/metadata/column.cpp
         ${SOURCEDIR}/metadata/constraints.cpp
         ${SOURCEDIR}/metadata/CreateDDLVisitor.cpp
@@ -166,7 +170,6 @@
         ${SOURCEDIR}/metadata/trigger.cpp
         ${SOURCEDIR}/metadata/User.cpp
         ${SOURCEDIR}/metadata/view.cpp
-        ${SOURCEDIR}/objectdescriptionhandler.cpp
         ${SOURCEDIR}/sql/Identifier.cpp
         ${SOURCEDIR}/sql/IncompleteStatement.cpp
         ${SOURCEDIR}/sql/MultiStatement.cpp
@@ -174,9 +177,16 @@
         ${SOURCEDIR}/sql/SqlStatement.cpp
         ${SOURCEDIR}/sql/SqlTokenizer.cpp
         ${SOURCEDIR}/sql/StatementBuilder.cpp
-        ${SOURCEDIR}/statementHistory.cpp
 )
 list(APPEND HEADER_LIST
+        ${SOURCEDIR}/frutils.h
+        ${SOURCEDIR}/frversion.h
+        ${SOURCEDIR}/Isaac.h
+        ${SOURCEDIR}/logger.h
+        ${SOURCEDIR}/main.h
+        ${SOURCEDIR}/MasterPassword.h
+        ${SOURCEDIR}/revisioninfo.h
+        ${SOURCEDIR}/statementHistory.h
         ${SOURCEDIR}/config/Config.h
         ${SOURCEDIR}/config/DatabaseConfig.h
         ${SOURCEDIR}/config/LocalSettings.h
@@ -195,9 +205,6 @@
         ${SOURCEDIR}/core/URIProcessor.h
         ${SOURCEDIR}/core/Visitor.h
         ${SOURCEDIR}/engine/MetadataLoader.h
-        ${SOURCEDIR}/frutils.h
-        ${SOURCEDIR}/frversion.h
-        ${SOURCEDIR}/firebird/constants.h
         ${SOURCEDIR}/gui/AboutBox.h
         ${SOURCEDIR}/gui/AdvancedMessageDialog.h
         ${SOURCEDIR}/gui/AdvancedSearchFrame.h
@@ -209,30 +216,20 @@
         ${SOURCEDIR}/gui/CommandManager.h
         ${SOURCEDIR}/gui/ConfdefTemplateProcessor.h
         ${SOURCEDIR}/gui/ContextMenuMetadataItemVisitor.h
-        ${SOURCEDIR}/gui/controls/ControlUtils.h
-        ${SOURCEDIR}/gui/controls/DataGrid.h
-        ${SOURCEDIR}/gui/controls/DataGridRowBuffer.h
-        ${SOURCEDIR}/gui/controls/DataGridRows.h
-        ${SOURCEDIR}/gui/controls/DataGridTable.h
-        ${SOURCEDIR}/gui/controls/DBHTreeControl.h
-        ${SOURCEDIR}/gui/controls/DndTextControls.h
-        ${SOURCEDIR}/gui/controls/LogTextControl.h
-        ${SOURCEDIR}/gui/controls/PrintableHtmlWindow.h
-        ${SOURCEDIR}/gui/controls/TextControl.h
         ${SOURCEDIR}/gui/CreateIndexDialog.h
+        ${SOURCEDIR}/gui/DatabaseRegistrationDialog.h
         ${SOURCEDIR}/gui/DataGeneratorFrame.h
-        ${SOURCEDIR}/gui/DatabaseRegistrationDialog.h
         ${SOURCEDIR}/gui/EditBlobDialog.h
         ${SOURCEDIR}/gui/EventWatcherFrame.h
+        ${SOURCEDIR}/gui/ExecuteSql.h
         ${SOURCEDIR}/gui/ExecuteSqlFrame.h
-        ${SOURCEDIR}/gui/ExecuteSql.h
         ${SOURCEDIR}/gui/FieldPropertiesDialog.h
         ${SOURCEDIR}/gui/FindDialog.h
         ${SOURCEDIR}/gui/FRLayoutConfig.h
         ${SOURCEDIR}/gui/FRStyle.h
+        ${SOURCEDIR}/gui/GUIURIHandlerHelper.h
         ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.h
         ${SOURCEDIR}/gui/HtmlTemplateProcessor.h
-        ${SOURCEDIR}/gui/GUIURIHandlerHelper.h
         ${SOURCEDIR}/gui/InsertDialog.h
         ${SOURCEDIR}/gui/InsertParametersDialog.h
         ${SOURCEDIR}/gui/MainFrame.h
@@ -245,18 +242,26 @@
         ${SOURCEDIR}/gui/RestoreFrame.h
         ${SOURCEDIR}/gui/ServerRegistrationDialog.h
         ${SOURCEDIR}/gui/ServiceBaseFrame.h
+        ${SOURCEDIR}/gui/ShutdownFrame.h
         ${SOURCEDIR}/gui/ShutdownStartupBaseFrame.h
-        ${SOURCEDIR}/gui/ShutdownFrame.h
         ${SOURCEDIR}/gui/SimpleHtmlFrame.h
+        ${SOURCEDIR}/gui/StartupFrame.h
         ${SOURCEDIR}/gui/StatementHistoryDialog.h
-        ${SOURCEDIR}/gui/StartupFrame.h
         ${SOURCEDIR}/gui/StyleGuide.h
         ${SOURCEDIR}/gui/UserDialog.h
         ${SOURCEDIR}/gui/UsernamePasswordDialog.h
-        ${SOURCEDIR}/Isaac.h
-        ${SOURCEDIR}/logger.h
-        ${SOURCEDIR}/main.h
-        ${SOURCEDIR}/MasterPassword.h
+        ${SOURCEDIR}/gui/controls/ControlUtils.h
+        ${SOURCEDIR}/gui/controls/DataGrid.h
+        ${SOURCEDIR}/gui/controls/DataGridRowBuffer.h
+        ${SOURCEDIR}/gui/controls/DataGridRows.h
+        ${SOURCEDIR}/gui/controls/DataGridTable.h
+        ${SOURCEDIR}/gui/controls/DBHTreeControl.h
+        ${SOURCEDIR}/gui/controls/DndTextControls.h
+        ${SOURCEDIR}/gui/controls/LogTextControl.h
+        ${SOURCEDIR}/gui/controls/PrintableHtmlWindow.h
+        ${SOURCEDIR}/gui/controls/TextControl.h
+        ${SOURCEDIR}/metadata/CharacterSet.h
+        ${SOURCEDIR}/metadata/Collation.h
         ${SOURCEDIR}/metadata/collection.h
         ${SOURCEDIR}/metadata/column.h
         ${SOURCEDIR}/metadata/constraints.h
@@ -274,8 +279,3 @@
         ${SOURCEDIR}/metadata/MetadataItemURIHandlerHelper.h
         ${SOURCEDIR}/metadata/MetadataItemVisitor.h
         ${SOURCEDIR}/metadata/MetadataTemplateManager.h
-        ${SOURCEDIR}/metadata/package.h
-        ${SOURCEDIR}/metadata/parameter.h
-        ${SOURCEDIR}/metadata/privilege.h
-        ${SOURCEDIR}/metadata/procedure.h
-        ${SOURCEDIR}/metadata/relation.h

=== debian/changelog ===
flamerobin (0.9.10.ds.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:34 +1100

flamerobin (0.9.10.ds.2-1build1) noble; urgency=high

  * No change rebuild against libwxbase3.2-1t64, libwxgtk3.2-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:02:22 +0100

flamerobin (0.9.10.ds.2-1) unstable; urgency=medium

  * bump years of upstream copyright
  * remove generated makefiles/projects from upstream sources
  * New upstream version 0.9.10.ds.2
  * update unbundle-firebird.patch
  * patch-out inclusion of autoconf_inc.m4 by configure.ac

 -- Damyan Ivanov <dmn@debian.org>  Fri, 01 Dec 2023 19:48:52 +0000

flamerobin (0.9.9.ds.1-1) unstable; urgency=medium

  * New upstream version 0.9.9.ds.1

 -- Damyan Ivanov <dmn@debian.org>  Tue, 10 Oct 2023 05:35:44 +0000

flamerobin (0.9.7.ds.1-1) unstable; urgency=medium

  * New upstream version 0.9.7.ds.1
  * update debian/copyright
  * bump Standards-Version from 4.6.1 to 4.6.2 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 05 Oct 2023 19:48:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flamerobin
 Section: database
 Priority: optional
-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  chrpath,
  cmake,
@@ -9,7 +10,7 @@
  firebird-dev,
  html2text,
  libwxgtk3.2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
 Vcs-Browser: https://salsa.debian.org/debian/flamerobin
 Homepage: http://www.flamerobin.org/

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=4

opts="repacksuffix=.ds.2,dversionmangle=s/\.ds\.\d+$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flamerobin-$1.tar.gz%" \
      https://github.com/mariuz/flamerobin/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## flamerobin 0.9.13.ds.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -106,6 +106,7 @@
         ${SOURCEDIR}/gui/FindDialog.cpp
         ${SOURCEDIR}/gui/FRLayoutConfig.cpp
         ${SOURCEDIR}/gui/FRStyle.cpp
+        ${SOURCEDIR}/gui/FRStyleManager.cpp
         ${SOURCEDIR}/gui/GUIURIHandlerHelper.cpp
         ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.cpp
         ${SOURCEDIR}/gui/HtmlTemplateProcessor.cpp
@@ -116,6 +117,7 @@
         ${SOURCEDIR}/gui/MultilineEnterDialog.cpp
         ${SOURCEDIR}/gui/PreferencesDialog.cpp
         ${SOURCEDIR}/gui/PreferencesDialogSettings.cpp
+        ${SOURCEDIR}/gui/PreferencesDialogStyle.cpp
         ${SOURCEDIR}/gui/PrivilegesDialog.cpp
         ${SOURCEDIR}/gui/ProgressDialog.cpp
         ${SOURCEDIR}/gui/ReorderFieldsDialog.cpp
@@ -227,6 +229,7 @@
         ${SOURCEDIR}/gui/FindDialog.h
         ${SOURCEDIR}/gui/FRLayoutConfig.h
         ${SOURCEDIR}/gui/FRStyle.h
+        ${SOURCEDIR}/gui/FRStyleManager.h
         ${SOURCEDIR}/gui/GUIURIHandlerHelper.h
         ${SOURCEDIR}/gui/HtmlHeaderMetadataItemVisitor.h
         ${SOURCEDIR}/gui/HtmlTemplateProcessor.h
@@ -236,6 +239,7 @@
         ${SOURCEDIR}/gui/MetadataItemPropertiesFrame.h
         ${SOURCEDIR}/gui/MultilineEnterDialog.h
         ${SOURCEDIR}/gui/PreferencesDialog.h
+        ${SOURCEDIR}/gui/PreferencesDialogStyle.h
         ${SOURCEDIR}/gui/PrivilegesDialog.h
         ${SOURCEDIR}/gui/ProgressDialog.h
         ${SOURCEDIR}/gui/ReorderFieldsDialog.h
@@ -276,6 +280,3 @@
         ${SOURCEDIR}/metadata/metadataitem.h
         ${SOURCEDIR}/metadata/MetadataItemCreateStatementVisitor.h
         ${SOURCEDIR}/metadata/MetadataItemDescriptionVisitor.h
-        ${SOURCEDIR}/metadata/MetadataItemURIHandlerHelper.h
-        ${SOURCEDIR}/metadata/MetadataItemVisitor.h
-        ${SOURCEDIR}/metadata/MetadataTemplateManager.h

=== debian/changelog ===
flamerobin (0.9.13.ds.2-2) unstable; urgency=medium

  * watch: switch to api.github.com
  * unbundle-firebird.patch: use correct #ifdef checks (Closes: #1092635)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Jan 2025 15:31:52 +0000

flamerobin (0.9.13.ds.2-1) unstable; urgency=medium

  * New upstream version 0.9.13.ds.2
  * Adapt unbundle-firebird.patch

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Oct 2024 07:15:14 +0000

flamerobin (0.9.12.ds.2-1) unstable; urgency=medium

  * New upstream version 0.9.11.ds.2
  * Adapt unbundle-firebird.patch
  * New upstream version 0.9.12.ds.2
  * Declare conformance with Policy 4.7.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Oct 2024 08:19:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: flamerobin
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  chrpath,
  cmake,
@@ -10,7 +9,7 @@
  firebird-dev,
  html2text,
  libwxgtk3.2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/flamerobin.git
 Vcs-Browser: https://salsa.debian.org/debian/flamerobin
 Homepage: http://www.flamerobin.org/

=== debian/rules ===
#!/usr/bin/make -f

export ACLOCAL=/bin/true

%:
	dh $@ -Scmake

IBASE=src/ibpp/ibase.h

REV_FILE=src/revisioninfo.h

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	sh debian/mangle-svn-rev.sh
	cp $(REV_FILE) $(REV_FILE)-ORIG
	rm -rf src/firebird/include
	dh_auto_configure -Scmake

override_dh_auto_clean:
	dh_auto_clean -Scmake
	rm -rf build
	[ ! -e $(REV_FILE)-ORIG ] || mv -f $(REV_FILE)-ORIG $(REV_FILE)
	[ ! -e $(REV_FILE)-by-debian ] || rm $(REV_FILE) $(REV_FILE)-by-debian
	sh debian/unmangle-svn-rev.sh

override_dh_auto_install:
	dh_auto_install -Scmake
	cp res/fricon128.png $(CURDIR)/debian/flamerobin/usr/share/pixmaps/flamerobin.png
	mkdir -p $(CURDIR)/debian/flamerobin/usr/share/doc/flamerobin
	mv  $(CURDIR)/debian/flamerobin/usr/share/flamerobin/docs \
	    $(CURDIR)/debian/flamerobin/usr/share/doc/flamerobin/html

override_dh_installdocs:
	html2text docs/fr_whatsnew.html > NEWS
	dh_installdocs

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=4

opts=repacksuffix=.ds.2,\
    dversionmangle=s/\.ds\.\d+$//,\
    filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
    downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
    searchmode=plain \
        https://api.github.com/repos/mariuz/flamerobin/git/matching-refs/tags/ \
        https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
